Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Class Invitation

    java.lang.Object
      com.bea.netuix.application.communities.invitations.Invitation

All Implemented Interfaces
  Serializable

    public class Invitation

extends Object
implements Serializable

Represents an invitation stored in the system that has been sent to a single user. The wlsUserName field of this object may be null in the case of an external `Invitee`. The validationText, invitationPayload and expirationDate may also be null if the inviting application did not originally specify them.

For more information see the discussion of invitations or the overview of community functionality.

See Also
  Serialized Form

Method Summary
`String` | `getAttribute(String attributeName)` Retrieves the specified attribute for this invitation.
`CommunityDefinitionId` | `getCommunityId()` Gets the CommunityDefinitionId of the community this invitation is for.
`Timestamp` | `getCreationDate()` Gets the time this invitation was created.
`Timestamp` | `getExpirationDate()` Gets the time this invitation is set to expire.
`String` | `getFromWlsUserName()` Returns the user name of the user who sent this invitation.
`String` | `getInvitationPayload()` Gets the payload for this invitation.
`InvitationStatus` | `getInvitationStatus()` Returns the status of this invitation, such as sent, accepted, rejected, revoked or expired.
`Collection<MembershipCapability>` | `getInviteCapabilities()` Gets the set of community membership capabilities assigned to this invitation.
`String` | `getInviteeAddress()` Returns the address (email, IM, etc.) this invitation was sent to.
`InviteeId` | `getInviteeId()` Returns the invitee ID for this invitation, which uniquely identifies a single invitation for a single user.
`String` | `getValidationText()` Returns the validation text associated with this invitation, which can be used to validate that the user applying for community membership is the intended recipient of this invitation.
`String` | `getWlsUserName()` Gets the WLS user name for this invitation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getWlsUserName

    public String getWlsUserName()

  Gets the WLS user name for this invitation.

  Returns
    the WLS user name for this invitation

### getFromWlsUserName

    public String getFromWlsUserName()

  Returns the user name of the user who sent this invitation.

  Returns
    the WLS user name of the user who sent this invitation

### getValidationText

    public String getValidationText()

  Returns the validation text associated with this invitation, which can be used to validate that the user applying for community membership is the intended recipient of this invitation. For example, if the invitation was sent out through an email to a user, this validation text can be included in the email so that when the user applies for membership in the community it can be verified that they received the invitation email.

  Returns
    the validation text associated with this invitation

### getInvitationStatus

    public InvitationStatus getInvitationStatus()

  Returns the status of this invitation, such as sent, accepted, rejected, revoked or expired.

  Returns
    `InvitationStatus` of this invitation

### getCommunityId

    public CommunityDefinitionId getCommunityId()

  Gets the CommunityDefinitionId of the community this invitation is for.

  Returns
    the CommunityDefinitionId of the community this invitation is for

### getCreationDate

    public Timestamp getCreationDate()

  Gets the time this invitation was created.

  Returns
    the time this invitation was created.

### getExpirationDate

    public Timestamp getExpirationDate()

  Gets the time this invitation is set to expire.

  Returns
    the time this invitation is set to expire

### getInvitationPayload

    public String getInvitationPayload()

  Gets the payload for this invitation. This may be a textual message inviting the user to join a community, but the actual payload is implementation-specific. The invitation payload is not used internally by the community framework and can be used for any purpose the developer sees fit.

  Returns
    the payload for this invitation

### getInviteeId

    public InviteeId getInviteeId()

  Returns the invitee ID for this invitation, which uniquely identifies a single invitation for a single user.

  Returns
    the InviteeId for this invitation.

### getInviteeAddress

    public String getInviteeAddress()

  Returns the address (email, IM, etc.) this invitation was sent to.

  Returns
    the address this invitation was sent to.

### getAttribute

    public String getAttribute(String attributeName)

  Retrieves the specified attribute for this invitation.

  Parameters
    `attributeName` - the name of the attribute to retrieve.
  Returns
    the specified attribute, or `null` if the attribute does not exist.

### getInviteCapabilities

    public Collection<MembershipCapability> getInviteCapabilities()

  Gets the set of community membership capabilities assigned to this invitation. These capabilities are usually assigned to the user for the community when they join the community, so this enables inviting a user to a community to serve in a particular capacity.

  Returns
    the set of capabilities assigned to this invitation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.